package love.distributedrebirth.no2all.nostr.model;

import java.util.ArrayList;
import java.util.List;

import love.distributedrebirth.no2all.nostr.model.event.NoStrEventTagMeta;

public final class NoStrSubscriptionFilterTag {

	private final NoStrEventTagMeta eventTag;
	private final List<String> keywords = new ArrayList<>();

	public NoStrSubscriptionFilterTag(NoStrEventTagMeta eventTag, List<String> keywords) {
		this.eventTag = eventTag;
		this.keywords.addAll(keywords);
	}

	public NoStrEventTagMeta getEventTag() {
		return eventTag;
	}

	public List<String> getKeywords() {
		return keywords;
	}
}
