package love.distributedrebirth.no2all.nostr.model.event;

import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventKind;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplPossibility;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplQFlag;

public interface NoStrEventKind extends NoStrImplQFlag {

	int getNumber();

	NoStrImplPossibility getNip();

	NoStrEventKindRange getRange();

	static NoStrEventKind valueOf(int number) {
		if (NoStrImplEventKind.valueOfKindValid(number)) {
			return NoStrImplEventKind.valueOfKind(number);
		} else {
			return new NoStrEventKindCustom(number);
		}
	}
}
