package love.distributedrebirth.no2all.nostr.model.event;

import java.util.Objects;

public final class NoStrEventTagCustom implements NoStrEventTag {

	private final NoStrEventTagMeta meta;
	private final String[] args;

	public NoStrEventTagCustom(NoStrEventTagMeta meta, String[] args) {
		this.meta = Objects.requireNonNull(meta);
		this.args = Objects.requireNonNull(args);
	}

	@Override
	public NoStrEventTagMeta getMeta() {
		return meta;
	}

	@Override
	public String[] getMetaArguments() {
		return args;
	}
}
