package love.distributedrebirth.no2all.nostr.model.event;

import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTag;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplPossibility;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplQFlag;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplQName;

public interface NoStrEventTagMeta extends NoStrImplQName, NoStrImplQFlag {

	boolean isQuariable();
	
	boolean isSinglton();

	NoStrImplPossibility[] getNips();

	static NoStrEventTagMeta valueOf(String qName) {
		if (NoStrImplEventTag.valueOfWireValid(qName)) {
			return NoStrImplEventTag.valueOfWire(qName);
		} else {
			return new NoStrEventTagMetaCustom(qName);
		}
	}
}
