package love.distributedrebirth.no2all.nostr.model.share;

import love.distributedrebirth.no2all.nostr.model.event.NoStrEventId;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplShareLink;
import love.distributedrebirth.no2all.octo.OctoBech32String;

public final class NoStrShareLinkNote extends NoStrShareB32LinkBare {

	public NoStrShareLinkNote(OctoBech32String link) {
		super(NoStrImplShareLink.NOTE, link);
	}

	public NoStrShareLinkNote(NoStrEventId eventId) {
		super(NoStrImplShareLink.NOTE, eventId.getBytes());
	}

	public NoStrEventId getEventId() {
		return new NoStrEventId(getBareValue());
	}

	public static NoStrShareLinkNote ofB32(String linkB32) {
		return new NoStrShareLinkNote(OctoBech32String.of(linkB32));
	}
}
