package love.distributedrebirth.no2all.nostr.model.share;

import love.distributedrebirth.no2all.nostr.model.NoStrIdentityPrivateKey;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplShareLink;
import love.distributedrebirth.no2all.octo.OctoBech32String;

public final class NoStrShareLinkPrivateKey extends NoStrShareB32LinkBare {

	public NoStrShareLinkPrivateKey(OctoBech32String link) {
		super(NoStrImplShareLink.PRIVATE_KEY, link);
	}

	public NoStrShareLinkPrivateKey(NoStrIdentityPrivateKey privateKey) {
		super(NoStrImplShareLink.PRIVATE_KEY, privateKey.getBytes());
	}

	public NoStrIdentityPrivateKey getPrivateKey() {
		return new NoStrIdentityPrivateKey(getBareValue());
	}

	public static NoStrShareLinkPrivateKey ofB32(String linkB32) {
		return new NoStrShareLinkPrivateKey(OctoBech32String.of(linkB32));
	}
}
