package love.distributedrebirth.no2all.nostr.model.tag;

import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackFishWelder;
import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackWelder;
import love.distributedrebirth.no2all.nostr.model.event.NoStrEventTagBaseMono;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTag;

public final class NoStrTagAlt extends NoStrEventTagBaseMono {

	public NoStrTagAlt(String altDescription) {
		super(NoStrImplEventTag.ALT);
		setMetaArgumentStr(altDescription);
	}

	public NoStrTagAlt(String[] args) {
		super(NoStrImplEventTag.ALT, args);
	}

	public String getAltDescription() {
		return getMetaArgument().get();
	}

	public interface FishWelder extends NoStrFireStackFishWelder {

		default NoStrFireStackWelder tagAlt(String altDescription) {
			return tag(new NoStrTagAlt(altDescription));
		}
	}
}
