package love.distributedrebirth.no2all.nostr.model.tag;

import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackFishWelder;
import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackWelder;
import love.distributedrebirth.no2all.nostr.model.event.NoStrEventTagBaseMono;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTag;

public final class NoStrTagD extends NoStrEventTagBaseMono {

	public NoStrTagD(String parameter) {
		super(NoStrImplEventTag.D);
		setMetaArgumentStr(parameter);
	}

	public NoStrTagD(String[] args) {
		super(NoStrImplEventTag.D, args);
	}

	public String getParameter() {
		return getMetaArgument().get();
	}

	public interface FishWelder extends NoStrFireStackFishWelder {

		default NoStrFireStackWelder tagD(String parameter) {
			return tag(new NoStrTagD(parameter));
		}
	}
}
