package love.distributedrebirth.no2all.nostr.model.tag;

import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackFishWelder;
import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackWelder;
import love.distributedrebirth.no2all.nostr.model.event.NoStrEventTagBaseMono;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTag;

public final class NoStrTagR extends NoStrEventTagBaseMono {

	public NoStrTagR(String reference) {
		super(NoStrImplEventTag.R);
		setMetaArgumentStr(reference);
	}

	public NoStrTagR(String[] args) {
		super(NoStrImplEventTag.R, args);
	}

	public String getReference() {
		return getMetaArgument().get();
	}

	public interface FishWelder extends NoStrFireStackFishWelder {

		default NoStrFireStackWelder tagR(String reference) {
			return tag(new NoStrTagR(reference));
		}
	}
}
