package love.distributedrebirth.no2all.nostr.model.tag;

import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackFishWelder;
import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackWelder;
import love.distributedrebirth.no2all.nostr.model.event.NoStrEventTagBaseMono;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTag;

public final class NoStrTagSummary extends NoStrEventTagBaseMono {

	public NoStrTagSummary(String summary) {
		super(NoStrImplEventTag.SUMMARY);
		setMetaArgumentStr(summary);
	}

	public NoStrTagSummary(String[] args) {
		super(NoStrImplEventTag.SUMMARY, args);
	}

	public String getSummary() {
		return getMetaArgument().get();
	}

	public interface FishWelder extends NoStrFireStackFishWelder {

		default NoStrFireStackWelder tagSummary(String summary) {
			return tag(new NoStrTagSummary(summary));
		}
	}
}
