package love.distributedrebirth.no2all.nostr.nip.tag;

import java.util.Optional;

import love.distributedrebirth.no2all.nostr.nip.NoStrImplQName;

public enum NoStrImplTagContentWarningRGroup implements NoStrImplQName {
	// from: https://en.wikipedia.org/wiki/Motion_Picture_Association_film_rating_system#Rating_components
	VIOLENCE,
	LANGUAGE,
	SUBSTANCE,
	NUDITY,
	SEX,
	;

	private final String jsonQName;

	private NoStrImplTagContentWarningRGroup() {
		jsonQName = name().toLowerCase();
	}

	@Override
	public String getQName() {
		return jsonQName;
	}

	public static Optional<NoStrImplTagContentWarningRGroup> valueOfQName(String qName) {
		return NoStrImplQName.valueOfQName(values(), qName);
	}
}
