package love.distributedrebirth.no2all.nostr.nip.tag;

import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTagArgument;

public enum NoStrImplTagImage implements NoStrImplEventTagArgument {
	URL,
	DIMENSION,
	;

	public static final String DIMENSION_SEPERATOR = "x";

	public static String createDimension(int width, int height) {
		return Integer.toString(width) + DIMENSION_SEPERATOR + Integer.toString(height);
	}

	public static int splitDimensionToWidth(String dimension) {
		int idxSep = dimension.indexOf(DIMENSION_SEPERATOR);
		String result = dimension.substring(0, idxSep);
		return Integer.valueOf(result);
	}

	public static int splitDimensionToHeight(String dimension) {
		int idxSep = dimension.indexOf(DIMENSION_SEPERATOR);
		String result = dimension.substring(idxSep + 1, dimension.length());
		return Integer.valueOf(result);
	}
}
