package love.distributedrebirth.no2all.nostr.nip.tag;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class NoStrImplTagATest {

	@Test
	public void testSplitting() {
		String test = "8:<pubkey>:<d-identifier>";
		Assertions.assertEquals(8, NoStrImplTagA.splitToKind(test));
		Assertions.assertEquals("<pubkey>", NoStrImplTagA.splitToPublicKey(test));
		Assertions.assertEquals("<d-identifier>", NoStrImplTagA.splitToParameter(test));
	}
}
