package love.distributedrebirth.no2all.octo;

import java.util.Objects;

public final class OctoBech32Bucket {

	private final OctoBech32Variant variant;
	private final String hrp;
	private final byte[] data;

	public OctoBech32Bucket(OctoBech32Variant variant, String hrp, byte[] data) {
		this.variant = Objects.requireNonNull(variant);
		this.hrp = Objects.requireNonNull(hrp);
		this.data = Objects.requireNonNull(data);
	}

	public OctoBech32Variant getVariant() {
		return variant;
	}

	public String getHrp() {
		return hrp;
	}

	public byte[] getData() {
		return data;
	}
}