package love.distributedrebirth.no2all.octo;

import java.util.Objects;

public final class OctoBech32String {

	private final String value;

	public OctoBech32String(String value) {
		this.value = Objects.requireNonNull(value);
	}

	public String getValue() {
		return value;
	}

	public static OctoBech32String of(String value) {
		return new OctoBech32String(value);
	}
}
