package love.distributedrebirth.no2all.octo;

import java.util.Objects;

public final class OctoBitChainFrame {

	private final byte type;
	private final byte[] data;

	public OctoBitChainFrame(byte type, byte[] data) {
		this.type = type;
		this.data = Objects.requireNonNull(data);
	}

	public byte getType() {
		return type;
	}

	public byte[] getData() {
		return data;
	}
}
