package love.distributedrebirth.no2all.octo.trust;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public final class OctoTrustHash {

	private static final String SHA_256 = "SHA-256";

	public static MessageDigest sha256Algorithm() {
		try {
			return MessageDigest.getInstance(SHA_256);
		} catch (NoSuchAlgorithmException e) {
			throw new OctoTrustException(e);
		}
	}

	public static byte[] sha256(byte[] data) {
		return sha256Algorithm().digest(data);
	}
}
