package love.distributedrebirth.no2all.octo;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import love.distributedrebirth.no2all.octo.trust.OctoTrust;

public class OctoBitFormatTest {

	@Test
	public void testFormatCCP() {
		byte[] data = OctoTrust.createRandomByteArray(32);
		String hex = OctoBitFormat.HEX_CCP.fromBytes(data);
		byte[] result = OctoBitFormat.HEX_CCP.toBytes(hex);
		Assertions.assertArrayEquals(data, result);
		System.out.println("HEX_CCP: \"" + hex + "\" <== 32 bytes");
	}
	
	@Test
	public void testFormatDipavali() {
		byte[] data = OctoTrust.createRandomByteArray(11);
		String hex = OctoBitFormat.HEX_DIPAVALI.fromBytes(data);
		byte[] result = OctoBitFormat.HEX_DIPAVALI.toBytes(hex);
		Assertions.assertArrayEquals(data, result);
		System.out.println("HEX_DIPAVALI: \"" + hex + "\" <== 11 bytes, copy to text editor");
	}
}
