package love.distributedrebirth.no2all.react.nostr.server.relay;

import love.distributedrebirth.no2all.nostr.model.event.NoStrEvent;

public final class NoStrArtServerRelayStoreEvent {

	private final NoStrEvent event;
	private final String remoteAddr;

	protected NoStrArtServerRelayStoreEvent(NoStrEvent event, String remoteAddr) {
		this.event = event;
		this.remoteAddr = remoteAddr;
	}

	public NoStrEvent getEvent() {
		return event;
	}

	public String getRemoteAddr() {
		return remoteAddr;
	}
}
