package love.distributedrebirth.no2all.react.warp;

import java.util.ArrayList;
import java.util.List;

import love.distributedrebirth.no2all.react.No2AllReactSlot;

public class No2AllReactSlotContract {

	private final No2AllReactSlot slot;
	final List<Class<?>> slotTypesIn = new ArrayList<>();
	final List<Class<?>> slotTypesOut = new ArrayList<>();

	public No2AllReactSlotContract(No2AllReactSlot slot) {
		this.slot = slot;
	}

	public No2AllReactSlot getSlot() {
		return slot;
	}

	public List<Class<?>> getSlotTypesIn() {
		return slotTypesIn;
	}

	public List<Class<?>> getSlotTypesOut() {
		return slotTypesOut;
	}
}