package love.distributedrebirth.no2all.zerofungus;

import java.util.logging.Logger;

import love.distributedrebirth.no2all.react.No2AllReactSlot;
import love.distributedrebirth.no2all.react.No2AllReactSlotLoad;
import love.distributedrebirth.no2all.react.No2AllReactSlotSignal;
import love.distributedrebirth.no2all.react.No2AllReactTypeScript;

public class ZFunRtsServerBooted implements No2AllReactTypeScript {

	public static final No2AllReactSlot API = No2AllReactSlot.ofClass(ZFunRtsServerBooted.class);
	private static final Logger logger = Logger.getLogger(ZFunRtsServerBooted.class.getName());

	@Override
	public void onEvent(No2AllReactSlotSignal<No2AllReactSlotLoad> signal) {
		signal.getReact().claim(API);
		logger.info("╔═╗┌─┐┬─┐┌─┐  .╔═╗┬ ┬┌┐┌╔═╗┬ ┬┌─┐");
		logger.info("╔═╝├┤ ├┬┘│ │ . ╠╣ │ ││││║ ╦│ │└─┐");
		logger.info("╚═╝└─┘┴└─└─┘.  ╚  └─┘┘└┘╚═╝└─┘└─┘");
		logger.info("Boot done.");
	}
}
