package love.distributedrebirth.no2all.nostr.model.event;

import love.distributedrebirth.no2all.nostr.nip.NoStrImpl;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventKindRange;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplPossibility;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplQFlag;

public final class NoStrEventKindCustom implements NoStrEventKind {

	private final int number;
	private final NoStrEventKindRange range;

	public NoStrEventKindCustom(int number) {
		this.number = number;
		this.range = NoStrImplEventKindRange.valueOfKind(number);
	}

	@Override
	public int getNumber() {
		return number;
	}

	@Override
	public String getQFlag() {
		return NoStrImplQFlag.CUSTOM_INDICATOR;
	}

	@Override
	public NoStrImplPossibility getNip() {
		return NoStrImpl.NIP_0_UNKNOWN;
	}

	@Override
	public NoStrEventKindRange getRange() {
		return range;
	}
}
