package love.distributedrebirth.no2all.nostr.model.share;

import love.distributedrebirth.no2all.nostr.model.NoStrIdentityPublicKey;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplShareLink;
import love.distributedrebirth.no2all.octo.OctoBech32String;

public final class NoStrShareLinkPublicKey extends NoStrShareB32LinkBare {
	
	public NoStrShareLinkPublicKey(OctoBech32String link) {
		super(NoStrImplShareLink.PUBLIC_KEY, link);
	}

	public NoStrShareLinkPublicKey(NoStrIdentityPublicKey publicKey) {
		super(NoStrImplShareLink.PUBLIC_KEY, publicKey.getBytes());
	}

	public NoStrIdentityPublicKey getPublicKey() {
		return new NoStrIdentityPublicKey(getBareValue());
	}

	public static NoStrShareLinkPublicKey ofB32(String linkB32) {
		return new NoStrShareLinkPublicKey(OctoBech32String.of(linkB32));
	}
}
