package love.distributedrebirth.no2all.nostr.model.tag;

import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackFishWelder;
import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackWelder;
import love.distributedrebirth.no2all.nostr.model.event.NoStrEventTagBaseMono;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTag;

public final class NoStrTagDescription extends NoStrEventTagBaseMono {

	public NoStrTagDescription(String description) {
		super(NoStrImplEventTag.DESCRIPTION);
		setMetaArgumentStr(description);
	}

	public NoStrTagDescription(String[] args) {
		super(NoStrImplEventTag.DESCRIPTION, args);
	}

	public String getDescription() {
		return getMetaArgument().get();
	}

	public interface FishWelder extends NoStrFireStackFishWelder {

		default NoStrFireStackWelder tagDescription(String description) {
			return tag(new NoStrTagDescription(description));
		}
	}
}
