package love.distributedrebirth.no2all.nostr.model.tag;

import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackFishWelder;
import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackWelder;
import love.distributedrebirth.no2all.nostr.model.event.NoStrEventTagBaseMono;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTag;

public final class NoStrTagName extends NoStrEventTagBaseMono {

	public NoStrTagName(String name) {
		super(NoStrImplEventTag.NAME);
		setMetaArgumentStr(name);
	}

	public NoStrTagName(String[] args) {
		super(NoStrImplEventTag.NAME, args);
	}

	public String getName() {
		return getMetaArgument().get();
	}

	public interface FishWelder extends NoStrFireStackFishWelder {

		default NoStrFireStackWelder tagName(String name) {
			return tag(new NoStrTagName(name));
		}
	}
}
