package love.distributedrebirth.no2all.nostr.model.tag;

import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackFishWelder;
import love.distributedrebirth.no2all.nostr.fire.NoStrFireStackWelder;
import love.distributedrebirth.no2all.nostr.model.event.NoStrEventTagBaseMono;
import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTag;

public final class NoStrTagT extends NoStrEventTagBaseMono {

	public NoStrTagT(String hashTag) {
		super(NoStrImplEventTag.T);
		setMetaArgumentStr(hashTag);
	}

	public NoStrTagT(String[] args) {
		super(NoStrImplEventTag.T, args);
	}

	public String getHashTag() {
		return getMetaArgument().get();
	}

	public interface FishWelder extends NoStrFireStackFishWelder {

		default NoStrFireStackWelder tagT(String hashTag) {
			return tag(new NoStrTagT(hashTag));
		}
	}
}
