package love.distributedrebirth.no2all.nostr.nip;

import java.util.Optional;

public interface NoStrImplQName {

	String getQName(); // for gospel church bible

	static <T extends NoStrImplQName> Optional<T> valueOfQName(T[] values, String qName) {
		for (T value : values) {
			if (value.getQName().equals(qName)) {
				return Optional.of(value);
			}
		}
		return Optional.empty();
	}
}
