package love.distributedrebirth.no2all.nostr.nip.tag;

import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTagArgument;

public enum NoStrImplTagA implements NoStrImplEventTagArgument {
	ADDRESS,
	RELAY_URL,
	PLATFORM,
	;
	
	public static final String SEPERATOR = ":";
	
	public static int splitToKind(String address) {
		int idxSep = address.indexOf(SEPERATOR);
		String result = address.substring(0, idxSep);
		return Integer.valueOf(result);
	}
	
	public static String splitToPublicKey(String address) {
		int idxSep = address.indexOf(SEPERATOR);
		int idxSepEnd = address.indexOf(SEPERATOR, idxSep + 1);
		String result = address.substring(idxSep + 1, idxSepEnd);
		return result;
	}

	public static String splitToParameter(String address) {
		int idxSep = address.indexOf(SEPERATOR);
		int idxSepEnd = address.indexOf(SEPERATOR, idxSep + 1);
		String result = address.substring(idxSepEnd + 1, address.length());
		return result;
	}
}
