package love.distributedrebirth.no2all.nostr.nip.tag;

import java.util.Optional;

import love.distributedrebirth.no2all.nostr.nip.NoStrImplQName;

public enum NoStrImplTagEMarker implements NoStrImplQName {

	REPLAY, ROOT, MENTION;

	private final String jsonQName;

	private NoStrImplTagEMarker() {
		jsonQName = name().toLowerCase();
	}

	@Override
	public String getQName() {
		return jsonQName;
	}

	public static Optional<NoStrImplTagEMarker> valueOfQName(String qName) {
		return NoStrImplQName.valueOfQName(values(), qName);
	}
}
