package love.distributedrebirth.no2all.nostr.model;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class NoStrIdentityTest {

	@Test
	public void testNotEqualKeys() {
		NoStrIdentity user = new NoStrIdentity(NoStrIdentityPrivateKey.ofRandom());
		Assertions.assertNotEquals(user.getPrivateKey().getHex(), user.getPublicKey().getHex());
	}

	@Test
	public void testRandom() {
		NoStrIdentity user1 = new NoStrIdentity(NoStrIdentityPrivateKey.ofRandom());
		NoStrIdentity user2 = new NoStrIdentity(NoStrIdentityPrivateKey.ofRandom());
		Assertions.assertNotEquals(user1.getPrivateKey().getHex(), user2.getPrivateKey().getHex());
		Assertions.assertNotEquals(user1.getPublicKey().getHex(), user2.getPublicKey().getHex());
	}
}
