package love.distributedrebirth.no2all.nostr.model.event;

import java.util.Optional;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import love.distributedrebirth.no2all.nostr.nip.NoStrImplEventTag;

public class NoStrEventTagTest {

	@Test
	public void testArgumentResult() {
		NoStrEventTag tag = NoStrEventTag.valueOfArgs(NoStrImplEventTag.CLIENT, "0", "1");
		Assertions.assertEquals(2, tag.getMetaArguments().length);
		Assertions.assertEquals(Optional.empty(), tag.getMetaArgument(-1));
		Assertions.assertEquals(Optional.empty(), tag.getMetaArgument(2));
		Assertions.assertTrue(tag.getMetaArgument(0).isPresent());
		Assertions.assertEquals("1", tag.getMetaArgument(1).get());
	}
}
