package love.distributedrebirth.no2all.nostr.model.tag;

import java.util.Optional;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import love.distributedrebirth.no2all.nostr.model.event.NoStrEventId;
import love.distributedrebirth.no2all.nostr.nip.tag.NoStrImplTagEMarker;

public class NoStrTagETest {

	@Test
	public void testOptionalRelayUrl() {
		NoStrTagE tag1 = new NoStrTagE(new String[4]);
		Assertions.assertTrue(tag1.getRelayUrl().isEmpty());
		NoStrEventId eventId = NoStrEventId.ofHex("c99ba1058a872e10343820357506f546410fe5d1318eb0fbb6f352d823fa83d4");
		NoStrImplTagEMarker eventMarker = NoStrImplTagEMarker.ROOT;
		NoStrTagE tag2 = new NoStrTagE(eventId, Optional.empty(), Optional.of(eventMarker));
		Assertions.assertEquals("[\"e\",\"c99ba1058a872e10343820357506f546410fe5d1318eb0fbb6f352d823fa83d4\",\"\",\"root\"]", tag2.toBible().toString());
	}
}
