package love.distributedrebirth.no2all.octo;

public enum OctoBech32Variant {
	//[BIP-0173](https://github.com/bitcoin/bips/blob/master/bip-0173.mediawiki)
	BECH32(1),
	//[BIP-0350](https://github.com/bitcoin/bips/blob/master/bip-0350.mediawiki)
	BECH32M(0x2bc830a3),
	;

	private final int marker;

	private OctoBech32Variant(int marker) {
		this.marker = marker;
	}

	public int getMarker() {
		return marker;
	}
}