package love.distributedrebirth.no2all.octo.conv;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import love.distributedrebirth.no2all.octo.OctoBitFormat;

public class OctoConvSIntBigIndianTest {

	@Test
	public void testI32() {
		Assertions.assertEquals(0, OctoBitFormat.BI_SI32.fromBytes(OctoBitFormat.BI_SI32.toBytes(0)));
		Assertions.assertEquals(1, OctoBitFormat.BI_SI32.fromBytes(OctoBitFormat.BI_SI32.toBytes(1)));
		Assertions.assertEquals(13, OctoBitFormat.BI_SI32.fromBytes(OctoBitFormat.BI_SI32.toBytes(13)));
		Assertions.assertEquals(4096, OctoBitFormat.BI_SI32.fromBytes(OctoBitFormat.BI_SI32.toBytes(4096)));
		Assertions.assertEquals(782356423, OctoBitFormat.BI_SI32.fromBytes(OctoBitFormat.BI_SI32.toBytes(782356423)));
		Assertions.assertEquals(1992356423, OctoBitFormat.BI_SI32.fromBytes(OctoBitFormat.BI_SI32.toBytes(1992356423)));
		Assertions.assertEquals(-88378353, OctoBitFormat.BI_SI32.fromBytes(OctoBitFormat.BI_SI32.toBytes(-88378353)));
		Assertions.assertEquals(-1, OctoBitFormat.BI_SI32.fromBytes(OctoBitFormat.BI_SI32.toBytes(-1)));
	}
}
