package love.distributedrebirth.no2all.octo.conv;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import love.distributedrebirth.no2all.octo.OctoBitFormat;

public class OctoConvSLongBigIndianTest {

	@Test
	public void testI64() {
		Assertions.assertEquals(0L, OctoBitFormat.BI_SI64.fromBytes(OctoBitFormat.BI_SI64.toBytes(0L)));
		Assertions.assertEquals(1L, OctoBitFormat.BI_SI64.fromBytes(OctoBitFormat.BI_SI64.toBytes(1L)));
		Assertions.assertEquals(13L, OctoBitFormat.BI_SI64.fromBytes(OctoBitFormat.BI_SI64.toBytes(13L)));
		Assertions.assertEquals(4096L, OctoBitFormat.BI_SI64.fromBytes(OctoBitFormat.BI_SI64.toBytes(4096L)));
		Assertions.assertEquals(1992356423L, OctoBitFormat.BI_SI64.fromBytes(OctoBitFormat.BI_SI64.toBytes(1992356423L)));
		Assertions.assertEquals(81992356423L, OctoBitFormat.BI_SI64.fromBytes(OctoBitFormat.BI_SI64.toBytes(81992356423L)));
		Assertions.assertEquals(7825780943356423L, OctoBitFormat.BI_SI64.fromBytes(OctoBitFormat.BI_SI64.toBytes(7825780943356423L)));
		Assertions.assertEquals(-89548957835783434L, OctoBitFormat.BI_SI64.fromBytes(OctoBitFormat.BI_SI64.toBytes(-89548957835783434L)));
		Assertions.assertEquals(-1L, OctoBitFormat.BI_SI64.fromBytes(OctoBitFormat.BI_SI64.toBytes(-1L)));
	}
}
