package love.distributedrebirth.no2all.react.wire.client;

public final class No2AllActClientClose {

	private final int code;
	private final String message;
	
	public No2AllActClientClose(int code, String message) {
		this.code = code;
		this.message = message;
	}

	public int getCode() {
		return code;
	}

	public String getMessage() {
		return message;
	}

	public static No2AllActClientClose ofNormal(String message) {
		return new No2AllActClientClose(1000, message);
	}

	public static No2AllActClientClose ofRefuse(String message) {
		return new No2AllActClientClose(1003, message);
	}
}
