package love.distributedrebirth.no2all.react.wire.server;

public final class No2AllActServerSocketClose {

	private final int code;
	private final String messag;

	public No2AllActServerSocketClose(int code, String message) {
		this.code = code;
		this.messag = message;
	}

	public int getCode() {
		return code;
	}

	public String getMessage() {
		return messag;
	}
	
	public static No2AllActServerSocketClose ofNormal(String message) {
		return new No2AllActServerSocketClose(1000, message);
	}

	public static No2AllActServerSocketClose ofRefuse(String message) {
		return new No2AllActServerSocketClose(1003, message);
	}
}