package love.distributedrebirth.no2all.react;

public final class No2AllReactSlotSignal<T> {

	private final No2AllReactSlot target;
	private final T data;
	private final No2AllReact react;

	public No2AllReactSlotSignal(No2AllReactSlot target, T data, No2AllReact react) {
		this.target = target;
		this.data = data;
		this.react = react;
	}

	public No2AllReactSlot getTarget() {
		return target;
	}

	public T getData() {
		return data;
	}

	public No2AllReact getReact() {
		return react;
	}

//	public T $() {
//		return getData();
//	}
}
