package love.distributedrebirth.no2all.wire.jetty;

import org.eclipse.jetty.websocket.server.JettyServerUpgradeRequest;
import org.eclipse.jetty.websocket.server.JettyServerUpgradeResponse;
import org.eclipse.jetty.websocket.server.JettyWebSocketCreator;

import love.distributedrebirth.no2all.wire.WireServerHandler;

public class JettyWireServerEndpointCreator implements JettyWebSocketCreator {

	private final WireServerHandler handler;

	public JettyWireServerEndpointCreator(WireServerHandler handler) {
		this.handler = handler;
	}

	@Override
	public Object createWebSocket(JettyServerUpgradeRequest jettyServerUpgradeRequest,
			JettyServerUpgradeResponse jettyServerUpgradeResponse) {
		return new JettyWireServerHandler(handler);
	}
}
