package love.distributedrebirth.no2all.wire;

import java.nio.ByteBuffer;

public interface WireClientHandler {

	void onStart();

	void onOpen();

	void onClose(int code, String reason, boolean remote);

	void onError(Throwable error);

	void onMessage(String message);

	void onBinary(ByteBuffer message);
}
