package love.distributedrebirth.no2all.wire;

import java.nio.ByteBuffer;

public interface WireServerHandler {

	void onStart();

	void onOpen(WireServerSocket conn);

	void onClose(WireServerSocket conn, int code, String reason, boolean remote);

	void onError(WireServerSocket conn, Throwable error);

	void onMessage(WireServerSocket conn, String message);

	void onBinary(WireServerSocket conn, ByteBuffer message);
}
