
-- Test case for H2 webconsole unicode autocomplete escaping and quoting.
-- http://localhost:8080/debug/jdbc/console

CREATE SCHEMA "Господь мой пастырь";
CREATE TABLE "Господь мой пастырь"."Я не захочу." (
		"Он заставляет меня лечь" BIGINT NOT NULL AUTO_INCREMENT,
		"на зеленых пастбищах" VARCHAR(500) NULL,
		"Он ведет меня" DATETIME NOT NULL DEFAULT now(),
		"возле стоячей воды" BIGINT NOT NULL DEFAULT 1,
		PRIMARY KEY ("Он заставляет меня лечь"))
	;
CREATE TABLE "Господь мой пастырь"."Он восстанавливает мою душу." (
		"Он ведет меня путями" BIGINT NOT NULL AUTO_INCREMENT,
		"праведности" VARCHAR(500) NULL,
		"ради его имени" DATETIME NOT NULL DEFAULT now(),
		PRIMARY KEY ("Он ведет меня путями"))
	;
CREATE SCHEMA "Хотя я иду по долине";
CREATE TABLE "Хотя я иду по долине"."тени смерти" (
		"Я не буду бояться зла" BIGINT NOT NULL AUTO_INCREMENT,
		"ибо ты со мной;" VARCHAR(500) NULL,
		"твой жезл и твой посох," DATETIME NOT NULL DEFAULT now(),
		"они меня утешают." BIGINT NOT NULL DEFAULT 1,
		PRIMARY KEY ("Я не буду бояться зла"))
	;
CREATE INDEX "Ты готовишь стол раньше меня" ON "Хотя я иду по долине"."тени смерти" ("ибо ты со мной;" ASC);
CREATE INDEX "в присутствии моих врагов;" ON "Хотя я иду по долине"."тени смерти" ("твой жезл и твой посох," ASC);
CREATE TABLE "Хотя я иду по долине"."Ты помажешь мне голову маслом;" (
		"мой запас переполнен." BIGINT NOT NULL AUTO_INCREMENT,
		"Воистину, добро и милосердие последуют за мной." VARCHAR(100) NULL,
		"все дни моей жизни," VARCHAR(200) NULL,
		"и буду жить в доме Господнем" VARCHAR(300) NULL,
		"навсегда." VARCHAR(400) NULL,
		PRIMARY KEY ("мой запас переполнен."))
	;
